#version 330

out vec4 fragColor;
smooth in vec4 ioFragColor;
in vec3 ioNormal;
in vec2 ioUV;

void main()
{
    float diff = max(dot(ioNormal, vec3(1., 1., 1.)), 0.3);
    fragColor = ioFragColor * diff;
}
